DocumentType (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class DocumentType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.DocumentType

    public final class DocumentType

extends EnumerationType

This class defines enumerated types for a Document. Applications will not create or modify DocumentTypes, but will use one of the predefined DocumentType instances ARTICLE, BOOK, REPORT, RFC, STANDARD, WEB, or OTHER.

See Also:
  `Document`

Field Summary
`static DocumentType` | `ARTICLE` Document type for a printed article.
`static DocumentType` | `BOOK` Document type for an book.
`static DocumentType` | `OTHER` Document type that doesn't fit the other categories.
`static DocumentType` | `REPORT` Document type for a report.
`static DocumentType` | `RFC` Document type for an IETF Request for Comment.
`static DocumentType` | `STANDARD` Document type for a standards body publication.
`static DocumentType` | `WEB` Document type for a Web page.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARTICLE

    public static final DocumentType ARTICLE

  Document type for a printed article.

### BOOK

    public static final DocumentType BOOK

  Document type for an book.

### REPORT

    public static final DocumentType REPORT

  Document type for a report.

### RFC

    public static final DocumentType RFC

  Document type for an IETF Request for Comment.

### STANDARD

    public static final DocumentType STANDARD

  Document type for a standards body publication.

### WEB

    public static final DocumentType WEB

  Document type for a Web page.

### OTHER

    public static final DocumentType OTHER

  Document type that doesn't fit the other categories.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD